Skip to content

Get order types

GET
/v1/public/ordertypes

Get all the order types supported for all currency pairs.

An array of currency pairs is returned along with an array of order types for each currency pair. You can only place an order that is supported by that currency pair.

The order types supported are as follows:

Order Type Description
limit post-only Place a limit order on the Exchange that will either be added to the order book or, should it match, be cancelled completely.
limit Place a limit order on the Exchange.
market Place a market order on the Exchange (only crypto-to-ZAR pairs).
simple Similar to a market order, but allows for crypto-to-crypto pairs.
stop-loss limit Place a limit order on the Exchange that limits the downside of holding a particular asset.
take-profit limit Place a limit order on the Exchange to lock in the growth of holding a particular asset.

Parameters

Query Parameters

includeInactivePairs

Whether to include inactive currency pairs. Default: true

Type
boolean

Responses

List of currency pairs with their supported order types

application/json
JSON
[
{
"currencyPair": "BTCUSDC",
"orderTypes": [
"LIMIT_POST_ONLY",
"LIMIT",
"MARKET",
"SIMPLE",
"STOP_LOSS_LIMIT",
"TAKE_PROFIT_LIMIT"
]
},
{
"currencyPair": "ETHZAR",
"orderTypes": [
"LIMIT_POST_ONLY",
"LIMIT",
"MARKET",
"SIMPLE",
"STOP_LOSS_LIMIT",
"TAKE_PROFIT_LIMIT"
]
}
]

Playground

Variables
Key
Value

Samples